Harmont docs
Cloud SDKReference

Organizations

Generated @harmont/cloud reference for the Organizations endpoints.

acceptInvite

POST /api/v0/invites/accept

Accept an invite

import { acceptInvite } from "@harmont/cloud";
acceptInvite(options): RequestResult<AcceptInviteResponse>

Body AcceptInviteRequest (optional)

Returns AcceptInviteResponse

See POST /api/v0/invites/accept for the full request and response schema.

createInvite

POST /api/v0/organizations/{org}/invites

Invite an email to the organization

import { createInvite } from "@harmont/cloud";
createInvite(options): RequestResult<CreateInviteResponse>
ParameterInTypeDescription
orgpathstring

Body CreateInviteRequest (optional)

Returns CreateInviteResponse

See POST /api/v0/organizations/{org}/invites for the full request and response schema.

createOrganization

POST /api/v0/organizations

Create an organization

Creates a new organization with the authenticated user as its owner.

import { createOrganization } from "@harmont/cloud";
createOrganization(options): RequestResult<CreateOrganizationResponse>

Body CreateOrganizationRequest (optional)

Returns CreateOrganizationResponse

See POST /api/v0/organizations for the full request and response schema.

listInvites

GET /api/v0/organizations/{org}/invites

List pending invites

import { listInvites } from "@harmont/cloud";
listInvites(options): RequestResult<ListInvitesResponse>
ParameterInTypeDescription
orgpathstring

Returns ListInvitesResponse

See GET /api/v0/organizations/{org}/invites for the full request and response schema.

listOrganizations

GET /api/v0/organizations

List the current user's organizations

Returns the organizations the authenticated user is a member of, paginated.

import { listOrganizations } from "@harmont/cloud";
listOrganizations(options): RequestResult<ListOrganizationsResponse>
ParameterInTypeDescription
limitquerynumberPage size (1–100, default 50).
cursorquerystringOpaque cursor from a previous page's next_cursor.

Returns ListOrganizationsResponse

See GET /api/v0/organizations for the full request and response schema.

listOrgMembers

GET /api/v0/organizations/{org}/members

List organization members

import { listOrgMembers } from "@harmont/cloud";
listOrgMembers(options): RequestResult<ListOrgMembersResponse>
ParameterInTypeDescription
orgpathstring

Returns ListOrgMembersResponse

See GET /api/v0/organizations/{org}/members for the full request and response schema.

removeOrgMember

DELETE /api/v0/organizations/{org}/members/{user_id}

Remove a member

import { removeOrgMember } from "@harmont/cloud";
removeOrgMember(options): RequestResult<RemoveOrgMemberResponse>
ParameterInTypeDescription
orgpathstring
user_idpathstring

Returns RemoveOrgMemberResponse

See DELETE /api/v0/organizations/{org}/members/{user_id} for the full request and response schema.

revokeInvite

DELETE /api/v0/organizations/{org}/invites/{id}

Revoke a pending invite

import { revokeInvite } from "@harmont/cloud";
revokeInvite(options): RequestResult<RevokeInviteResponse>
ParameterInTypeDescription
orgpathstring
idpathstring

Returns RevokeInviteResponse

See DELETE /api/v0/organizations/{org}/invites/{id} for the full request and response schema.

updateOrgMember

PATCH /api/v0/organizations/{org}/members/{user_id}

Change a member's role

import { updateOrgMember } from "@harmont/cloud";
updateOrgMember(options): RequestResult<UpdateOrgMemberResponse>
ParameterInTypeDescription
orgpathstring
user_idpathstring

Body UpdateMemberRoleRequest (optional)

Returns UpdateOrgMemberResponse

See PATCH /api/v0/organizations/{org}/members/{user_id} for the full request and response schema.

On this page